Bug 101033 - compiler warning in wireless applet
compiler warning in wireless applet
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-28 14:51 EDT by d.binderman
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 16:50:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-07-28 14:51:01 EDT
Description of problem:

Hello there,

I have just compiled package gnome-applets-2.2.0-8 from Redhat 9.0
with compiler flag -Wall.

The compiler said

wireless-applet.c:183: warning: `return' with no value, in function returning
non-void

You might well be better off returning something sensible, instead of
rubbish off the stack.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Mark McLoughlin 2004-03-03 16:50:28 EST
This seems to have been fixed long ago

Note You need to log in before you can comment on or make changes to this bug.